import Vue from 'vue'

import Cookies from 'js-cookie'

// import '@/assets/styles/theme.scss';
import less from 'less'
Vue.use(less)

import Element from 'element-ui'
import './assets/styles/element-variables.scss'
import 'burgeon-ui/dist/styles/burgeon-ui.css';

import '@/assets/styles/index.scss' // global css
import '@/assets/styles/ruoyi.scss' // ruoyi css
import App from './App'
import store from './store'
import router from './router'
import permission from './directive/permission'
import { download } from '@/utils/request'
import { getDyn } from '@/utils/currencyFn'

import '@/utils/dateApi'


import './assets/icons' // icon
import './permission' // permission control
import { getDicts } from "@/api/system/dict/data";
import { getConfigKey } from "@/api/system/config";
import { parseTime, resetForm, addDateRange, selectDictLabel, selectDictLabels, handleTree } from "@/utils/ruoyi";
import Pagination from "@/components/Pagination";
// 自定义表格工具扩展
import RightToolbar from "@/components/RightToolbar"
import DynamicForm from "@/components/DynamicForm"
import DynamicForms from "@/components/DynamicForms"
import DynamicFormsteo from "@/components/DynamicFormsteo"
import MemoranDum from "@/components/MemoranDum"
import 'burgeon-ui/dist/styles/burgeon-ui.css';
import 'burgeon-ui/dist/styles/bjIconfonts/iconfont.css';
import BigPicture from "@/components/BigPicture";
Vue.component('BigPicture', BigPicture)
import BurgeonUi from 'burgeon-ui';

// 全局方法挂载
Vue.prototype.getDicts = getDicts
Vue.prototype.getConfigKey = getConfigKey
Vue.prototype.parseTime = parseTime
Vue.prototype.resetForm = resetForm
Vue.prototype.addDateRange = addDateRange
Vue.prototype.selectDictLabel = selectDictLabel
Vue.prototype.selectDictLabels = selectDictLabels
Vue.prototype.download = download
Vue.prototype.getDyn = getDyn
Vue.prototype.handleTree = handleTree

Vue.prototype.msgSuccess = function (msg) {
  this.$message({ showClose: true, message: msg, type: "success" });
}

Vue.prototype.msgError = function (msg) {
  this.$message({ showClose: true, message: msg, type: "error" });
}

Vue.prototype.msgInfo = function (msg) {
  this.$message.info(msg);
}

import directive from "@/components/Directives";
Vue.use(directive)

// 全局组件挂载
Vue.component('Pagination', Pagination)
Vue.component('RightToolbar', RightToolbar)
Vue.component('DynamicForm', DynamicForm)
Vue.component('DynamicForms', DynamicForms)
Vue.component('DynamicFormsteo', DynamicFormsteo)
Vue.component('MemoranDum', MemoranDum)

Vue.use(permission)

/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online! ! !
 */

Vue.use(Element, {
  size: Cookies.get('size') || 'medium' // set element-ui default size
})
Vue.use(BurgeonUi);
Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
